/*
 * XetPan: a libEtPan! based Mail User Agent
 * Copyright (C) 2002 Melvin Hadasht
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef REMOTE_H
#define REMOTE_H

#include "xetpan-types.h"

/* Remote socket functions*/
int
a_Remote_check_for_server (XetPan *xetpan);

int
a_Remote_be_a_server(XetPan *xetpan);

/* Client function */
void
a_Remote_send_command(XetPan *xetpan, char cmd, const char *option);

void
a_Remote_close_unlink_socket(XetPan *xetpan);

void
a_Remote_send_cmd_result(XePRemote *remote);

int
a_Remote_build_msg(XePRemote *remote, char cmd, const char *option);

#endif
